text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Control.Applicative

Description

Monomorphic `TextShow` functions for `Const` and `ZipList`.

Since: 2

Synopsis

- showbConstPrecWith :: (Int -> a -> Builder) -> Int -> Const a b -> Builder
- showbZipListPrecWith :: (Int -> a -> Builder) -> Int -> ZipList a -> Builder

# Documentation

showbConstPrecWith :: (Int -> a -> Builder) -> Int -> Const a b -> Builder Source

Convert a `Const` value to a `Builder` with the given show function and precedence.

Since: 2

showbZipListPrecWith :: (Int -> a -> Builder) -> Int -> ZipList a -> Builder Source

Convert a `ZipList` to a `Builder` with the given show function precedence.

Since: 2